Viewing Issue Advanced Details Jump to Notes ] [ View Source: segas24.c ]
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
04358 Crash/Freeze Critical (emulation) Always 2011-05-25 01:51 2011-12-07 17:07
Tester BarnacleEd View Status Public Platform SDLMAME
Assigned To Kale Resolution Fixed OS Linux
Status [?] Resolved   Driver segas24.c
Version 0.142u2 Fixed in Version 0.144u3 Build Normal
Summary 04358: roughrac, sgmast: freezes upon attempting to start a game
Description roughrac will freeze upon trying to start a game, leaving whatever note that was playing at the time hanging.
Steps To Reproduce Boot game, coin up, press start. The game will freeze in the "pit" screen, usually as the garage shutter is rolling up.
Additional Information A message is printed on the console:

Error: timer desync 0 != 1000
Flags
Regression Version 0.142u1
Affected Sets / Systems roughrac, sgmast
Attached Files
 


-  Notes
User avatar (07465)
Haze (Developer)
2011-05-25 09:42

System 24 is basically (still) broken, even with the latest changes. It's another regression, yes, but still the same underlying problem.

Just look at Crackdown too, the sprites flicker, and the entire thing slows down really badly even at 100%

Charles said he'd run some more tests on the board, and in MAME to see where things are differing, until then I have a feeling System24 isn't going to work properly.
User avatar (07468)
Tafoid (Administrator)
2011-05-27 00:33

Breakage between r12154-r12174 - Suspect r12168.
User avatar (07762)
BarnacleEd (Senior Tester)
2011-08-31 15:18
edited on: 2011-08-31 15:38

I ran the game with the debugger on, and it gets stuck in an infinite loop, which is what causes the freeze:

0x0802A8 : clr.b $8000.w
0x0802AC : tst.b $8000.w
0x0802B0 : beq $802ac
0x0802B2: clr.b $8000.w
0x0802B6: rts

The infinite loop is [ 0x0802AC -> 0x0802B0 <] - Which appears to be the main CPU's idle loop.
Meanwhile, not listed here, the sub CPU is also in it's idle loop; both appear to be waiting for some interrupt that apparently never arrives or is lost somehow.

Here's the kicker, though; let the attract mode run it's intro race, and the game suddenly works properly.... sounds familiar, eh? The game doesn't work correctly immediately after coinup; it requires at least one attract cycle before it functions properly. Perhaps not a regression, but rather a BTANB? Looks like we'll have to wait for those board tests, but there's a possible clue to this MAME Testers Mystery.

(Now testing with SDLMAME 64b 0.142u4, bug original report was SDLMAME 32b 0.142u2)

UPDATE: SOME sounds disappear after successfully starting a game. Most prominent example is the sound of the start lights. Other sounds (nitro attack hit, for example) work correctly.